<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Journal;

class JournalReiterView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/kursuebersicht/detailsreiter/journalreiter.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    $dm = new \Datamodul();

    return array($dm);
  }

  protected function getFooterDataModulArray()
  {
    $dm = new \Datamodul();
    $dm->summeSoll = $this->viewModel->summeSoll;
    $dm->summeHaben = $this->viewModel->summeHaben;
    $dm->nochOffen = $this->viewModel->nochOffen;
    $dm->saldoNegative = $this->viewModel->saldoNegative;

    return array($dm);
  }

  protected function getNoDataDataModulArray()
  {
    $dm = new \Datamodul();
    $dm->filter = $this->viewModel->filter;

    return array($dm);
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpZahlungen();
  }
}

class JournalReiterViewModel
{
  public $summeSoll;
  public $summeHaben;
  public $nochOffen;
  public $saldoNegative;
  public $filter;
}